Summary:         FreeForm data handler for the OPeNDAP Data server
Name:            dap-freeform_handler
Version:         3.7.7
Release:         2%{?dist}
License:         LGPLv2+
Group:           System Environment/Daemons 
Source0:         http://www.opendap.org/pub/source/freeform_handler-%{version}.tar.gz
URL:             http://www.opendap.org/

BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:   libdap-devel >= 3.7.10
BuildRequires:   bes-devel >= 3.5.3

%description 
This is the freeform data handler for our data server. It reads ASCII,
binary and DB4 files which have been described using FreeForm and returns DAP
responses that are compatible with DAP2 and the dap-server software. This
package contains both the OPeNDAP CGI server 'handlers' and the new OPeNDAP 4
Data Server (aka Hyrax) modules.

%prep 
%setup -q -n freeform_handler-%{version}

%build
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install INSTALL="install -p"
rm $RPM_BUILD_ROOT%{_libdir}/*.la
rm $RPM_BUILD_ROOT%{_libdir}/*.so
rm $RPM_BUILD_ROOT%{_libdir}/bes/libff_module.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/dap_ff_handler
%{_bindir}/bes-ff-data.sh
%{_libdir}/libff_handler.so.*
%{_libdir}/libfreeform.so.*
%{_libdir}/bes/libff_module.so
%{_datadir}/hyrax/
%doc COPYING COPYRIGHT NEWS README

%changelog
* Mon Dec 17 2007 Patrice Dumas <pertusus@free.fr> 3.7.7-2
- update to 3.7.7

* Fri Jun  1 2007 Patrice Dumas <pertusus@free.fr> 3.7.5-2
- rebuild against newer libdap

* Tue May  1 2007 Patrice Dumas <pertusus@free.fr> 3.7.5-1
- update to 3.7.5

* Tue Oct 31 2006 Patrice Dumas <pertusus@free.fr> 3.7.2-3
- rebuild for new libcurl soname (indirect dependency through libdap)

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 3.7.2-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Wed Sep 20 2006 Patrice Dumas <pertusus@free.fr> 3.7.2-1
- update to 3.7.2

* Wed Sep  6 2006 Patrice Dumas <pertusus@free.fr> 3.7.1-3
- rebuild for FC-6

* Sat Jul 22 2006 Patrice Dumas <pertusus@free.fr> 3.7.1-2
- update  to 3.7.1

* Mon Feb 27 2006 James Gallagher <jgallagher@opendap.org> 3.6.0-1
- Update to 3.6.0

* Thu Sep 21 2005 James Gallagher <jgallagher@opendap.org> 3.5.0-1
- initial release
